post

/v4/rewards/unclaim/batch

Returns unclaimed rewards for campaigns across multiple chains in a single call. Pass an array of { campaignId, distributionChainId } objects.

Request body

object
campaignsobject[]
required
campaignIdstringOn-chain campaign ID (32-byte hex hash). See [ID types](/integrate-merkl/id-types).
distributionChainIdnumber | stringDistribution chain ID (numeric, e.g. `1` for Ethereum). See [ID types](/integrate-merkl/id-types).
post
https://api.merkl.xyz/v4/rewards/unclaim/batch
Merkl API
curl -X POST "https://api.merkl.xyz/v4/rewards/unclaim/batch" \
  -H "Content-Type: application/json" \
  -d '{ "campaigns": [ { "campaignId": "string", "distributionChainId": 0 } ] }'
Current params
{
  "body": {
    "campaigns": [
      {
        "campaignId": "string",
        "distributionChainId": 0
      }
    ]
  }
}
Live request — this will call https://api.merkl.xyz/ for real.